Package tigase.auth.credentials.entries

# Class XTokenCredentialsEntry

java.lang.Object
tigase.auth.credentials.entries.XTokenCredentialsEntry

All Implemented Interfaces:
  `Credentials.Entry`

public class XTokenCredentialsEntry extends Object implements Credentials.Entry

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `XTokenCredentialsEntry.Decoder`
  `static class`
  `XTokenCredentialsEntry.Encoder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XTokenCredentialsEntry(byte[] secretKey, boolean oneTime)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `encoded()`
  `String`
  `getMechanism()`
  Name of the encryption mechanism used to encode stored credentials.
  `byte[]`
  `getSecretKey()`
  `boolean`
  `isOneTime()`
  `boolean`
  `verifyPlainPassword(String plain)`
  Check if plaintext password will match stored credential

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XTokenCredentialsEntry

    public XTokenCredentialsEntry(byte[] secretKey, boolean oneTime)

- ## Method Details

  - ### getSecretKey

    public byte[] getSecretKey()

  - ### isOneTime

    public boolean isOneTime()

  - ### getMechanism

    public String getMechanism()
    Description copied from interface: `Credentials.Entry`
    Name of the encryption mechanism used to encode stored credentials. Note: Value returned by this method may be equal to SASL mechanism name used to encode this value, but doesn't have to be only one of SASL mechanism name, ie. for passwords encoded for PLAIN mechanism not stored in plain format in the repository.
    Specified by:
      `getMechanism` in interface `Credentials.Entry`

  - ### verifyPlainPassword

    public boolean verifyPlainPassword(String plain)
    Description copied from interface: `Credentials.Entry`
    Check if plaintext password will match stored credential
    Specified by:
      `verifyPlainPassword` in interface `Credentials.Entry`

  - ### encoded

    public String encoded()